
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>中英文混排-Textview重写后ellipsize属性失效 / iVAN</title>

    <meta name="description" content="中英文混排-Textview重写后ellipsize属性失效 问题描述 Textview重写后ellipsize属性失效 最近遇到textview内容中英文符号混排,重写自定义textview绘制后不会提前换行了,但是不显示全部省略号ellipsize属性不起作用,不管是xml还是代码写都看不见省略号了,希望有经验的人能给出更好地解决办法 解决方案 省略号也要自己绘制,所以你要改写你的自定义组件,判断文字宽度是否快达到右侧边缘了,然后加上省略号 解决方案二: TextView中ellipsize属性TextView中ellipsize属性TextView中">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">中英文混排-Textview重写后ellipsize属性失效</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>Textview重写后ellipsize属性失效<br />
        	<b></b>
        </dt>
<dd>
          <br />最近遇到textview内容中英文符号混排，重写自定义textview绘制后不会提前换行了，但是不显示全部省略号ellipsize属性不起作用，不管是xml还是代码写都看不见省略号了，希望有经验的人能给出更好地解决办法</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>省略号也要自己绘制，所以你要改写你的自定义组件，判断文字宽度是否快达到右侧边缘了，然后加上省略号</p>
<p>解决方案二：<br />
    <br /><a href="http://blog.csdn.net/orange2211/article/details/40957769" rel="external nofollow noreferrer">TextView中ellipsize属性</a><br /><a href="http://blog.csdn.net/wike163/article/details/7718778" rel="external nofollow noreferrer">TextView中ellipsize属性</a><br /><a href="http://blog.csdn.net/lamyuqingcsdn/article/details/46500561" rel="external nofollow noreferrer">TextView中ellipsize属性</a><br />----------------------</p>
<p>解决方案三：<br />
    <br />代码能否贡献出来，让我等参谋参谋</p>
<p>解决方案四：<br />
    <br />package com.mtextview;</p>
<p>import android.content.Context;<br />
import android.graphics.Canvas;<br />
import android.graphics.Paint;<br />
import android.text.Layout;<br />
import android.text.StaticLayout;<br />
import android.text.TextPaint;<br />
import android.util.AttributeSet;<br />
import android.widget.TextView;</p>
<p>public class MTextView extends TextView {</p>
<pre><code>private int mLineY;
private int mViewWidth;
public static final String TWO_CHINESE_BLANK = "  ";

public MTextView(Context context, AttributeSet attrs) {
    super(context, attrs);
}

@Override
protected void onLayout(boolean changed, int left, int top, int right,
        int bottom) {
    super.onLayout(changed, left, top, right, bottom);
}

@Override
protected void onDraw(Canvas canvas) {
    TextPaint paint = getPaint();
    paint.setColor(getCurrentTextColor());
    paint.drawableState = getDrawableState();
    mViewWidth = getMeasuredWidth();
    String text = getText().toString();
    mLineY = 0;
    mLineY += getTextSize();
    Layout layout = getLayout();

    // layout.getLayout()在4.4.3出现NullPointerException
    if (layout == null) {
        return;
    }

    Paint.FontMetrics fm = paint.getFontMetrics();

    int textHeight = (int) (Math.ceil(fm.descent - fm.ascent));
    textHeight = (int) (textHeight * layout.getSpacingMultiplier() + layout
            .getSpacingAdd());
    //解决了最后一行文字间距过大的问题
    for (int i = 0; i &lt; layout.getLineCount(); i++) {
        int lineStart = layout.getLineStart(i);
        int lineEnd = layout.getLineEnd(i);
        float width = StaticLayout.getDesiredWidth(text, lineStart,
                lineEnd, getPaint());
        String line = text.substring(lineStart, lineEnd);

        if(i &lt; layout.getLineCount() - 1) {
            if (needScale(line)) {
                drawScaledText(canvas, lineStart, line, width);
            } else {
                canvas.drawText(line, 0, mLineY, paint);
            }
        } else {
            canvas.drawText(line, 0, mLineY, paint);
        }
        mLineY += textHeight;
    }
}

private void drawScaledText(Canvas canvas, int lineStart, String line,
        float lineWidth) {
    float x = 0;
    if (isFirstLineOfParagraph(lineStart, line)) {
        String blanks = "  ";
        canvas.drawText(blanks, x, mLineY, getPaint());
        float bw = StaticLayout.getDesiredWidth(blanks, getPaint());
        x += bw;

        line = line.substring(3);
    }

    int gapCount = line.length() - 1;
    int i = 0;
    if (line.length() &gt; 2 &amp;&amp; line.charAt(0) == 12288
            &amp;&amp; line.charAt(1) == 12288) {
        String substring = line.substring(0, 2);
        float cw = StaticLayout.getDesiredWidth(substring, getPaint());
        canvas.drawText(substring, x, mLineY, getPaint());
        x += cw;
        i += 2;
    }

    float d = (mViewWidth - lineWidth) / gapCount;
    for (; i &lt; line.length(); i++) {
        String c = String.valueOf(line.charAt(i));
        float cw = StaticLayout.getDesiredWidth(c, getPaint());
        canvas.drawText(c, x, mLineY, getPaint());
        x += cw + d;
    }
}

private boolean isFirstLineOfParagraph(int lineStart, String line) {
    return line.length() &gt; 3 &amp;&amp; line.charAt(0) == &#039; &#039;
            &amp;&amp; line.charAt(1) == &#039; &#039;;
}

private boolean needScale(String line) {
    if (line == null || line.length() == 0) {
        return false;
    } else {
        return line.charAt(line.length() - 1) != &#039;
&#039;;
    }
}
</code></pre>
<p>}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:48:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/textview/" title="TextView">TextView</a>, <a href="https://www.iamivan.net/tag/%e4%b8%ad%e8%8b%b1%e6%96%87%e6%b7%b7%e6%8e%92/" title="中英文混排">中英文混排</a>, <a href="https://www.iamivan.net/tag/ellipsize%e5%a4%b1%e6%95%88/" title="ellipsize失效">ellipsize失效</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>中英文混排-Textview重写后ellipsize属性失效的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRNnep.html" rel="bookmark">中英文混排时的最佳化状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  汉字(以下中文字称呼)以及受其影响的日文.韩文有一个很大的特色,就是其文字的造型为方块形的文字基本元素.也因为如此,中文在书写的时候会有直书以及横书两种书写应用方式. 相信大家阅读过直行排版的中文书籍,直书是中文字最传统的排版方式,中文字从发展以来一直到毛笔书写.篆刻.一直到活字印刷,直式编排一直都是中文字特有的编排方式. 而在中文传统的匾额.春联上的横式缩写.其实是一字一行的直写编排,因此其书写方向亦为由右至左的书写方式,知道这点以后,下次记得别再买到横批为由左至右书写印刷春联啦. 正由于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOO7kM.html" rel="bookmark">实现中英文混排字符串截取的php代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提到中英文混排计数.截取,大家首先想到的是ascii.16进制.正则匹配.循环计数. 今天我给大家分享的是php的mb扩展,教你如何轻松处理字符串. 先给大家介绍用到的函数: mb_strwidth($str, $encoding) 返回字符串的宽度 $str 要计算的字符串 $encoding 要使用的编码,如 utf8.gbk mb_strimwidth($str, $start, $width, $tail, $encoding) 按宽度截取字符串 $str 要截取的字符串 $start			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPvYPM.html" rel="bookmark">Word中如何清除中英文混排文档中的英文</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了提高个人专业技术水平,单位又让上交阶段性学习笔记.专业技术论文了,不过上有政策下有对策,同事们利用计算机点点鼠标从网上复制粘贴来完成此项工作.但有时一不留神发现搞下来的东西太高深,竟然是中英文混排的,太超过笔者的水平了,思前想后还是把这些英文都干掉的好. 在Word中单击&quot;编辑/替换&quot;,在打开的&quot;查找和替换&quot;对话框中的&quot;替换&quot;选项卡下,单击&quot;查找内容&quot;框,输入[^1-^127],&quot;替换为&quot;框中什么也不用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrPXep.html" rel="bookmark">php strlen mb&lowbar;strlen计算中英文混排字符串长度&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比较strlen和mb_strlen 当字符全是英文字符的时候,两者是一样.这里主要比较一下,中英文混排的时候,两个计算结果.(测试时编码方式是UTF8) 复制代码 代码如下: &lt;?php $str='中文a字1符'; echo strlen($str); echo '&lt;br /&gt;'; echo mb_strlen($str,'UTF8'); //输出结果 //14 //6 ?&gt; 结果分析:在strlen计算时,对待一个UTF8的中文字符是3个长度,所以&quot;中文a字1符&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGA243M.html" rel="bookmark">js汉字排序问题 支持中英文混排，兼容各浏览器，包括CHROME&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				具体技术 1.使用GB编码与UNICODE的转换 2.数组关联排序 注意:GB编码 库地址 http://demo.jb51.net/jslib/qswhGB2312.js 代码(demo写的很简陋) 复制代码 代码如下: &lt;script&gt; //power by 毛绒猫猫 liuyutong@baidu.com var strGB=&quot;啊阿埃挨哎唉哀皑癌蔼矮艾碍爱隘鞍氨安俺按暗岸胺案肮昂盎凹敖熬翱袄傲奥懊澳芭捌扒叭吧笆八疤巴拔跋靶把耙坝霸罢爸白柏百摆佰败拜稗斑班搬 扳般颁板版扮拌伴瓣半			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ16W0b.html" rel="bookmark">字符串处理：中英文混排固定长度截取问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/// &lt;summary&gt;    /// 从包含中英文的字符串中截取固定长度的一段,strInput为传入字符串,intLen为截取长度(一个汉字占两个位).    /// &lt;/summary&gt;    public string cutString(string strInput,int intLen)    {     strInput=strInput.Trim();     byte[] myByte = System.Text.Encoding.Default.GetByt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwX9gWb.html" rel="bookmark">php mb&lowbar;strwidth函数实现中英文混排字符串截取</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mb_strwidth($str, $encoding) 返回字符串的宽度 $str 要计算的字符串 $encoding 要使用的编码,如 utf8.gbk mb_strimwidth($str, $start, $width, $tail, $encoding) 按宽度截取字符串 $str 要截取的字符串 $start 从哪个位置开始截取,默认是0 $width 要截取的宽度 $tail 追加到截取字符串后边的字符串,常用的是 ... $encoding 要使用的编码  代码如下 复制代码 &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmY1nDp.html" rel="bookmark">php轻松实现中英文混排字符串截取&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家介绍用到的函数: 复制代码 代码如下: mb_strwidth($str, $encoding) 返回字符串的宽度$str 要计算的字符串$encoding 要使用的编码,如 utf8.gbk 复制代码 代码如下: mb_strimwidth($str, $start, $width, $tail, $encoding) 按宽度截取字符串$str 要截取的字符串$start 从哪个位置开始截取,默认是0$width 要截取的宽度$tail 追加到截取字符串后边的字符串,常用的是 ...$			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxRN5b.html" rel="bookmark">Android中使用TextView实现图文混排的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				向TextView或EditText中添加图像比直接添加文本复杂一点点,需要用到&lt;img&gt;标签. &lt;img&gt;只有一个src属性,该属性原则上应该指向一个图像地址或可以找到某个图像资源的唯一标识.但要注意的是,系统并不会直接根据src属性所指的值自动获取和显示图像,这一切都需要我们去做.说白了,src属性指的是什么只有开发者自己知道.开发者需要告诉系统src属性到底指的是什么,然后系统才会知道怎么做. 解析src属性值需要ImageGetter对象的getDrawable方法来完成.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bogo3b.html" rel="bookmark" class="title">ASP&period;NET 2 的文件上传</a>
					<div>
						asp.net|上传 在asp.net 2.0中,上传文件时变的比较方便了,因为有了fileupload控件,使用十分简单, if (FileUpload1.HasFile)            t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWOLjM.html" rel="bookmark" class="title">浅谈如何让搜索引挚收录网站内容页</a>
					<div>
						内容作为一个网站被搜索引挚收录的基本原素而存在.一个没有内容的网站即使蜘蛛来了也收不了任何东西,但是这样的情况根本没有,换之有很多网站内容一大堆却收录寥寥无几,甚至是一年只收录了首页,造成内容页一篇都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b25Oqz.html" rel="bookmark" class="title">Iptalbes如何自动封杀暴力破解（Qmail邮件系统）者的IP地址</a>
					<div>
						今天发现Qmail邮件系统的maillog里面有大量的&quot;user not found&quot;信息,通过下面的日志不难发现,是来自同一IP的很多不同的用户连接Qmail邮件系统认证失败的信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2vVdM.html" rel="bookmark" class="title">逻辑DG日志未应用处理问题的解决</a>
					<div>
						问题现象:逻辑DG日志未应用处理. 通过Select * From v$logstdby 发现存在等待日志ORA- 16240: Waiting for logfile (thread# 2, seq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2aNAb.html" rel="bookmark" class="title">PS制作魔法火焰文字S特效教程</a>
					<div>
						 教程最终效果预览:   第1步创建一个700像素*1000像素大的文档,设置背景色为黑色,用渐变工具按照下图所示的方向和颜色来填充背景图层: 在背景上添加一些光.方法:新建一个图层,如下图所示在图层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3004p.html" rel="bookmark" class="title">Photoshop设计Mac炫彩背景效果</a>
					<div>
						  1.新建画布,背景设置成黑色,绘制矩形添加线性渐变(我设置的画布大小为1280X1024px). 选择两种橙色制作细微的线性渐变(本教程渐变色设置:#e56b15-#d03403). 2.新建图层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oqkRb.html" rel="bookmark" class="title">百度推广客户端怎么用</a>
					<div>
						  第一步:我们打开软件先登录,或者添加用户帐号添加账户完成并下载后,您就可以添加推广物料了. 强烈推荐快速新建计划功能,可以智能地帮助您快速的搭建账户物料:快速新建计划 以下介绍的是手工添加推广计划 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxojy7b.html" rel="bookmark" class="title">vb-窗体垂直滚动条但是没有中间的方块和滚动的控件是怎么实现的？</a>
					<div>
						问题描述 窗体垂直滚动条但是没有中间的方块和滚动的控件是怎么实现的? 窗体垂直滚动条但是没有中间的方块和滚动的控件是怎么实现的?怎么样实现一个没有滑块和滚动的垂直滚动条? 解决方案 那个是微调旋钮sp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPZwvp.html" rel="bookmark" class="title">order by居然不能直接在union子句中使用</a>
					<div>
						今天一个群中的兄弟问一个问题,说有一个表,表中有很多数据,其中有个字段type,希望从表中随机取出10条记录,其中有5条type=1另外5条type=0,比如下图这样: 我一想,这还不简单,按照要求, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx7Jdb.html" rel="bookmark" class="title">kksfbc child completion与ksdxexeotherwait引发CPU使用异常</a>
					<div>
						某客户操作人员反应很慢不能操作,管理人员登录小机系统后发现CPU使用到了96%.而且这种情况持续了几个月.以下是登录后小机后载取的topas图,而且是周末,并没有人使用系统.小机是IBM的550,配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6VEOb.html" rel="bookmark" class="title">怎么做一个系统</a>
					<div>
						问题描述 用JAVA.JSP怎么做一个系统 解决方案 解决方案二:好心的朋友们快来帮忙呀解决方案三:j2se学了么?jsp/servlet学了么?数据库学了么?如果都学完,做个小系统应该不是什么问题! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRNdBz.html" rel="bookmark" class="title">4表查询SQL语句问题！~~ 我问个问题花了10分钟！ 看我花了这么长时间打问题 就帮帮我吧！~~ 没多少汉字不用怕 就这么点分了 都给了</a>
					<div>
						问题描述 user表idusernmae2732128aaa29aaa11301113155532aaaaa35Archerreply表reply_iduser_idrelease_idreplyer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWO0Lp.html" rel="bookmark" class="title">java 开发 sip ua 问题</a>
					<div>
						问题描述 最近在做关于sip的项目,即开发sipua以及服务器端,在网上找了些资料,发现关于用java来开发sipua的较少,想请教一下大家,对于用java来开发sipua有什么好的建议?有什么资料共 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjx8Qp.html" rel="bookmark" class="title">Web Service 返回XML 反序列化问题</a>
					<div>
						问题描述 返回的XML内有个节点在所对应的实体内为string,但是这个节点的值是XML格式,导致反序列化失败...如:&lt;Info&gt;&lt;Flag1&gt;AAA&lt;/Flag1&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b324gmz.html" rel="bookmark" class="title">RHCE 学习笔记（22&rpar; 网络用户</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://beanxyz.blog.51cto.com/5570417/1602883 这一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z5oAp.html" rel="bookmark" class="title">紧急求助，为什么获取不行！</a>
					<div>
						问题描述 我要获取http://bbs.tiexue.net/post_5594502_1.html这个远程页面的代码.我研究了8个小时,始终获取的是乱码.为什么?我试了至少10种以上方式,始终是乱码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAdEVp.html" rel="bookmark" class="title">UIKit 框架之UICollectionViewController</a>
					<div>
						1.自定义单元格 #import &lt;UIKit/UIKit.h&gt; @interface myCollectionViewCell : UICollectionViewCell @prope ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94POob.html" rel="bookmark" class="title">《高性能Linux服务器构建实战》&mdash;&mdash;3&period;4节通过UDFs实现Memcached与MySQL的自动更新</a>
					<div>
						3.4 通过UDFs实现Memcached与MySQL的自动更新 3.4.1 UDFs使用简介 UDFs是User Defined Functions的缩写,表示MySQL的用户定义函数,应用程序可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ALL4z.html" rel="bookmark" class="title">带线的无限级下拉树列表-完整示例篇</a>
					<div>
						前言: 今天在群里有人问起了我一个比较远古的问题:带线的无限级下拉树列表他运行不起来. 最关键的又扯上了CYQ.Data 框架,让我一时觉得比较悬,因为文章是08年时写的,而框架最今年才发力完善的,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl34qp.html" rel="bookmark" class="title">基于第7代Intel酷睿处理器的图像采集板卡开发设计</a>
					<div>
						随着配套基础建设的完善,技术.资金的积累,各行各业对采用图像和机器视觉技术的工业自动化.智能化需求广泛出现,逐步开始了工业现场的应用,图像采集卡是机器视觉系统的重要组成部分,其主要功能是对相机所输出的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEdKOM.html" rel="bookmark" class="title">我国宽带均速已达19&period;4Mbps 你家带宽拖后腿了么&quest;</a>
					<div>
						伴随&quot;宽带中国&quot;专项行动的有序开展,我国固定宽带的接入速率以及普及程度逐年提高.在近日工信部官方微博上发布的&quot;2015年十件大事&quot;系列文章中,便提及了2015年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeBWEM.html" rel="bookmark" class="title">web server-centos6&period;5 安装GeoIP PECL扩展</a>
					<div>
						问题描述 centos6.5 安装GeoIP PECL扩展 这是官方的回答,,不懂.. How do I install the GeoIP Geo location PECL extension?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEPYBp.html" rel="bookmark" class="title">创业板开闸或引爆创投概念股</a>
					<div>
						今日,举世瞩目的创业板就要和广大投资者正式见面了,创业板的推出,对于投资者而言,无疑又增加了一道投资&quot;盛宴&quot;,但是,这道&quot;盛宴&quot;绝不仅仅只有&quot;28道菜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QB85M.html" rel="bookmark" class="title">MySQL中BOOL&sol;BOOLEAN 与 TINYINT 区别 - 测试笔记</a>
					<div>
						(一) 数据类型测试 (1). 布尔类型BOOL/BOOLEAN 与 微整型TINYINT a). 创建测试表结构 root@localhost : test 05:12:49&gt; CREATE  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NEv7z.html" rel="bookmark" class="title">C&num; pictureBox中使用滚动条</a>
					<div>
						问题描述 我想在一个Picturebox里绘图,可是所绘的图(图是自己画的,不是图片)的大小已经超过了picturebox大小,我想加个滚动条用来查看超出部分,请问怎么实现??? 解决方案 解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYPjLb.html" rel="bookmark" class="title">跳槽应聘要做好什么准备&quest;</a>
					<div>
						问题描述 应聘有工作经验的职位要做好什么准备(我有做javaweb开发工作1年半了),会有笔试么?笔试的话大概都会考哪些方面的内容..应该去看什么书或者看些什么面试题?希望大概给点建议,我现在在公司没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GV8NM.html" rel="bookmark" class="title">软件测试过程</a>
					<div>
						        软件测试过程的流程如下图所示:         各部分的具体解释如下: 单元测试:针对每个单元的测试,以确保每个模块能正常工作为目标.   集成测试:对已测试过的模块进行组装,进行集成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenZLjb.html" rel="bookmark" class="title">酒仙网电商联盟版图在下一城 携手1号店扭转局面</a>
					<div>
						如今,为了双方的发展,各类电商跨界联盟已经不是新鲜事了.作为酒类电商中一向比较特立独行的酒仙网,继上个月火速与当当网和库巴网&quot;联姻&quot;之后,在&quot;电商联盟&quot;模式的版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DK5xb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;图书限价令&rdquo;可行性争议当当卓越等待细则</a>
					<div>
						&quot;&lt;规则&gt;才刚刚推出,过后将成立一个联合办公室,并肯定有具体措施推出.&quot;对于掀起轩然大波的&lt;图书公平交易规则&gt;(以下简称&lt;规则&gt;),1月11日下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmR1Wlz.html" rel="bookmark" class="title">PostMessage模拟输出按键</a>
					<div>
						问题描述 用postMesage在WebBrewser中模拟输出键盘输出tabf5等就有效在文本框内输入字符就无效网上没有这方面的问题困扰两天了有没有大牛来帮帮忙 解决方案 解决方案二:不要用post ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
